#
# spec file for package ibus-sunpinyin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-sunpinyin
Version:        2.0.99
Release:        lp150.2.4
Summary:        Sunpinyin module for ibus
License:        LGPL-2.1 or CDDL-1.0
Group:          System/I18n/Chinese
Url:            https://github.com/sunpinyin/sunpinyin
Source:         https://github.com/sunpinyin/sunpinyin/archive/v3.0.0-rc1/sunpinyin-3.0.0-rc1.tar.gz
# PATCH-FIX-UPSTREAM ibus-sunpinyin-scons-on-py3.patch dimstar@opensuse.org -- Fix build with scons using python3 as interpreter
Patch0:         ibus-sunpinyin-scons-on-py3.patch
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  scons >= 1.2.0
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sunpinyin-2.0)
%if 0%{?is_opensuse}
Provides:       locale(ibus:zh_CN;zh_SG)
%endif
Requires:       python-ibus
Requires:       sunpinyin-data
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ibus-sunpinyin is a wrapper around SunPinyin which enables user to use
SunPinyin with IBus framework.

%prep
%setup -q -n sunpinyin-3.0.0-rc1
%patch0 -p1
sed -i "s/LIBEXECDIR'\].*ibus-sunpinyin.*/LIBEXECDIR'\]/" SConstruct

%build
cd wrapper/ibus/
scons --prefix=%{_prefix} \
      --libdir=%{_libdir} \
      --libexecdir=%{_libdir}

%install
pushd wrapper/ibus/
scons install --prefix=%{_prefix} \
              --libdir=%{_libdir} \
              --libexecdir=%{_libdir} \
              --install-sandbox=%{buildroot}
popd

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc wrapper/ibus/README wrapper/ibus/COPYING 
%doc wrapper/ibus/LGPL.LICENSE wrapper/ibus/OPENSOLARIS.LICENSE
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/ibus-engine-sunpinyin
%{_libdir}/%{name}/ibus-setup-sunpinyin
%{_datadir}/%{name}
%{_datadir}/ibus/component/sunpinyin.xml

%changelog
* Thu Nov 23 2017 dimstar@opensuse.org
- Add ibus-sunpinyin-scons-on-py3.patch: Fix build with scons using
  pythoh3 as interpreter.
* Tue Sep 12 2017 hillwood@opensuse.org
- Update to 3.0.0rc1
  * fixed the cursor_up(): ccd1cd1
  * added the setup tag: a43d055
  * add init status prefs: 0876aee
  * hacks for working on GNOME3.6 with Emacs: 346afe8
  * fixed garble menu label for ibus wrapper: 40b66fb
- Fix Doc filelist
* Thu Jun  1 2017 qzhao@suse.com
- Update ibus-sunpinyin.spec add install requires to sunpinyin-data
  which is necessary for sunpinyin running (boo#1042182).
* Wed May 24 2017 qzhao@suse.com
- Add is_opensuse macro in SPEC file, limit sunpinyin installation
  not by default in SLE.
* Sun Jul 21 2013 hillwood@linuxfans.org
- And python-ibus as Requires.
* Tue May  7 2013 i@marguerite.su
- remove unnessary Requires.
* Sat Apr 27 2013 i@marguerite.su
- fix the crappy libexecdir.
  * no longer install to /usr/lib/ibus-sunpinyin,
    even on a x86_64 system. install %%{_libdir}/ibus instead.
* Sat Jun  2 2012 hillwood@linuxfans.org
- bring ibus-sunpinyin as default in DVD.
- add Provides(ibus:zh)
* Thu Feb 16 2012 cfarrell@suse.com
- license update: LGPL-2.1 or CDDL-1.0
  Look at the license file - it is a choice of LGPL-2.1, not GPL-2.0. Also,
  use SPDX format
* Mon Aug  1 2011 tiwai@suse.de
- Fix build on FACTORY
- Clean up spec file
* Fri Jul 29 2011 hillwood@linuxfans.org
- Move changelog to a single file
* Thu Feb 24 2011 hillwood@linuxfans.org
- new release 2.0.3
